Package com.macrofocus.common.selection

# Class AbstractMutableSelection<E>

java.lang.Object
com.macrofocus.common.selection.AbstractSelection<E>
com.macrofocus.common.selection.AbstractMutableSelection<E>

All Implemented Interfaces:
  `MutableSelection<E>`, `Selection<E>`, `Iterable<E>`

Direct Known Subclasses:
  `AbstractMutableSingleSelection`, `NullSelection`, `SimpleSelection`

public abstract class AbstractMutableSelection<E> extends AbstractSelection<E> implements MutableSelection<E>
This class provides a skeletal implementation of the MutableSelection interface to minimize the effort required to implement this interface.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractMutableSelection()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `setEnabled(boolean enabled)`

  ### Methods inherited from class com.macrofocus.common.selection.AbstractSelection

  `addSelectionListener, addWeakSelectionListener, isEnabled, notifySelectedChanged, removeSelectionListener, removeSelectionListeners`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface java.lang.Iterable

  `forEach, iterator, spliterator`

  ### Methods inherited from interface com.macrofocus.common.selection.MutableSelection

  `clearSelection, setSelected, setSelectedElements, setSelectedElementsState, setSelectedIterable, setSelectedIterableState, setSelectedState`

  ### Methods inherited from interface com.macrofocus.common.selection.Selection

  `addSelectionListener, addWeakSelectionListener, getSelectedCount, getSelectedSet, isActive, isEnabled, isSelected, removeSelectionListener, removeSelectionListeners`

- ## Constructor Details

  - ### AbstractMutableSelection

    public AbstractMutableSelection()

- ## Method Details

  - ### setEnabled

    public void setEnabled(boolean enabled)
    Specified by:
      `setEnabled` in interface `MutableSelection<E>`
    Overrides:
      `setEnabled` in class `AbstractSelection<E>`